Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-02.txt

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Sat, 10 Jun 2017 12:38:23 +0200

Hi Mohamed,

I just uploaded a new version which the following changes

   1.  LW4O6-5 removed, was a mistake due to copy-paste from DS-LITE.

   2.  Removed citation to individual I-Ds for DHCPv6 options.

Of course, you were right regarding LW406-5, good catch, it was the common copy/paste issue …

I also removed the reference to the individual I-D.

Regarding obsoleting or updating, I think this requires some more discussion, also considering the other comments received in the list. Let’s approach that in the next weeks.

https://datatracker.ietf.org/doc/draft-ietf-v6ops-rfc7084-bis/?include_text=1

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: miércoles, 31 de mayo de 2017, 10:10
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-02.txt

    Hi Jordi, 
    
    Thank you for updating the draft. Below the comments that I do think are still open:
    
    * Remove citations to individual I-Ds from the draft. 
    * I'm not sure to understand the motivation for LW4O6-5. Please note that this is not equivalent to DSLITE-4 for the simple reason that in DS-Lite there are no IPv4 address assigned to the CPE from the network, while there is one for lw4o6. I suggest to delete LW4O6-5.    
    * Unless I'm mistaken, I don't remember there was a conclusion about obsoleting RFC7084 or not.   
    
    Cheers,
    Med
    
    > -----Message d'origine-----
    > De : v6ops [mailto:[email-masked]] De la part de JORDI PALET
    > MARTINEZ
    > Envoyé : lundi 29 mai 2017 16:54
    > À : [email-masked]
    > Objet : Re: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-02.txt
    > 
    > Hi all,
    > 
    > This is an updated version of this document, including the following
    > changes:
    > 
    > 11.  ANNEX D: Changes from RFC7084-bis-01
    > 
    >    Section to be removed for WGLC.  Significant updates are:
    > 
    >    1.  G-5 added in order to comply with [RFC7608].
    > 
    >    2.  LW4O6-5 removed.
    > 
    >    3.  MAPE-3 removed.
    > 
    >    4.  MAPT-3 removed.
    > 
    >    5.  Included non-normative reference to [RFC7849] to clarify that the
    >        details of the connectivity to 3GPP/LTE networks is out of the
    > scope.
    > 
    >    6.  Split of transition in two sub-sections for the sake of clarity.
    > 
    > 2, 3 and 4 above (added in the previous version) were referring to the
    > explicit mention of NAT behavior. As each mechanism has the relevant text
    > in its respective RFC, I leave that to those documents, to avoid any
    > misunderstanding or conflict.
    > 
    > Regards,
    > Jordi
    > 
    > 
    > -----Mensaje original-----
    > De: v6ops <[email-masked]> en nombre de <[email-masked]>
    > Responder a: <[email-masked]>
    > Fecha: lunes, 29 de mayo de 2017, 11:46
    > Para: <[email-masked]>
    > CC: <[email-masked]>
    > Asunto: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-02.txt
    > 
    > 
    >     A New Internet-Draft is available from the on-line Internet-Drafts
    > directories.
    >     This draft is a work item of the IPv6 Operations of the IETF.
    > 
    >             Title           : Basic Requirements for IPv6 Customer Edge
    > Routers
    >             Author          : Jordi Palet Martinez
    >     	Filename        : draft-ietf-v6ops-rfc7084-bis-02.txt
    >     	Pages           : 30
    >     	Date            : 2017-05-29
    > 
    >     Abstract:
    >        This document specifies requirements for an IPv6 Customer Edge (CE)
    >        router.  Specifically, the current version of this document focuses
    >        on the basic provisioning of an IPv6 CE router and the provisioning
    >        of IPv6 hosts attached to it.  The document also covers several
    >        transition technologies, as required in a world where IPv4
    > addresses
    >        are no longer available, so hosts in the customer LANs with IPv4-
    > only
    >        or IPv6-only applications or devices, requiring to communicate with
    >        IPv4-only services at the Internet, are able to do so.  The
    > document
    >        obsoletes RFC 7084.
    > 
    > 
    >     The IETF datatracker status page for this draft is:
    >     https://datatracker.ietf.org/doc/draft-ietf-v6ops-rfc7084-bis/
    > 
    >     There are also htmlized versions available at:
    >     https://tools.ietf.org/html/draft-ietf-v6ops-rfc7084-bis-02
    >     https://datatracker.ietf.org/doc/html/draft-ietf-v6ops-rfc7084-bis-02
    > 
    >     A diff from the previous version is available at:
    >     https://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-rfc7084-bis-02
    > 
    > 
    >     Please note that it may take a couple of minutes from the time of
    > submission
    >     until the htmlized version and diff are available at tools.ietf.org.
    > 
    >     Internet-Drafts are also available by anonymous FTP at:
    >     ftp://ftp.ietf.org/internet-drafts/
    > 
    >     _______________________________________________
    >     v6ops mailing list
    >     [email-masked]
    >     https://www.ietf.org/mailman/listinfo/v6ops
    > 
    > 
    > 
    > 
    > 
    > **********************************************
    > IPv4 is over
    > Are you ready for the new Internet ?
    > http://www.consulintel.es
    > The IPv6 Company
    > 
    > This electronic message contains information which may be privileged or
    > confidential. The information is intended to be for the use of the
    > individual(s) named above. If you are not the intended recipient be aware
    > that any disclosure, copying, distribution or use of the contents of this
    > information, including attached files, is prohibited.
    > 
    > 
    > 
    > _______________________________________________
    > v6ops mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, including attached files, is prohibited.

---

From: <[email-masked]>
Date: Mon, 12 Jun 2017 08:23:37 +0000

Hi Jordi, 

Thank you for taking care of the comments. 

Cheers,
Med

> Envoyé : samedi 10 juin 2017 12:38
> À : [email-masked]
> Regarding obsoleting or updating, I think this requires some more
> discussion, also considering the other comments received in the list.
> Let’s approach that in the next weeks.
> 
>     * I'm not sure to understand the motivation for LW4O6-5. Please note
> that this is not equivalent to DSLITE-4 for the simple reason that in DS-
> Lite there are no IPv4 address assigned to the CPE from the network, while
> there is one for lw4o6. I suggest to delete LW4O6-5.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Mon, 12 Jun 2017 10:44:08 +0200

Actually, thanks to you for all your inputs!

I just uploaded a new version, just considering the clarifications suggested by Brian regarding support of “internal/downstream” routers.

I didn't change the “title” as I think still makes sense if we decide to keep going this path …

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: lunes, 12 de junio de 2017, 10:23
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-02.txt

    Hi Jordi, 

    Cheers,
    Med